
ChiliProject - Feature # 484: Support Trac 0.12 Migrations

Status: Open Priority: Normal
Author: Pedro Algarvio Category:
Created: 2011-06-18 Assignee:
Updated: 2012-03-23 Due date:
Remote issue URL:
Affected version:
Description: This task was based on the rake file present on "Redmine Issue 5035":http://www.redmine.org/issues/5035.

The changes made were to support Trac 0.12 microseconds unixtimestamp's and other minor changes to 
make it work with ChiliProject.

History
2011-06-18 05:15 pm - Pedro Algarvio
Forgot to say that this work is against CP 1.4

2011-06-19 02:27 pm - Pedro Algarvio
- File migrate_from_trac12.rake added

2011-06-19 02:30 pm - Pedro Algarvio
- Target version set to 2.0.0

- Assignee set to Eric Davis

The last rake added should be adding authenticated users but it's not. What might be wrong with it?

2011-06-19 04:23 pm - Pedro Algarvio
- File migrate_from_trac12.rake added

This last rake seems to be working fine, it might need a good review since I'm not a ruby coder.

Anyway, the default values for custom fields was solved, and the admin is given the option to also migrate authenticated accounts from the trac 
environment.

2011-06-20 03:09 pm - Pedro Algarvio
- File migrate_from_trac12.rake added

Last version of script, allows to only migrate accounts which have an email set except for tickets(so that migrated tickets don't end up without an 
issuer).

2011-06-27 10:01 pm - Eric Davis
- Target version deleted (2.0.0)

- Assignee deleted (Eric Davis)

- Tracker changed from Task to Feature

- Status changed from Open to Needs more information
We will need a trac 0.12 database in order to test this.

Also, please don't assign an issue to a person or version. We use those to track who is actually working on something and when it is done.

2011-06-27 11:51 pm - Pedro Algarvio
Eric Davis wrote:
> We will need a trac 0.12 database in order to test this.

I'll try to attach one of my trac sqlite db's in a day or two, as soon as I find the time for it.

> Also, please don't assign an issue to a person or version. We use those to track who is actually working on something and when it is done.

Oops, Ok.

2011-06-29 09:26 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Needs more information to Open

Pedro Algarvio sent me a copy of his database to use. It have private data so it shouldn't be posted here.

2012-01-26 01:32 pm - Matthias Scholz
- Status changed from Open to Ready for review

Please have a look at Ticket #516
for a proposed solution.

2012-03-23 09:33 pm - Felix Schäfer
- Assignee deleted (Eric Davis)

- Status changed from Ready for review to Open

Pedro, I've had a hard time grasping the changes you've done, do you have some history of it?

Anyway, See #516 for my current branch to get this working again, any help appreciated :-)

Files
migrate_from_trac12.rake 52.8 kB 2011-06-18 Pedro Algarvio
migrate_from_trac12.rake 54 kB 2011-06-19 Pedro Algarvio
migrate_from_trac12.rake 48.7 kB 2011-06-19 Pedro Algarvio
migrate_from_trac12.rake 49.9 kB 2011-06-20 Pedro Algarvio
